package somlib.som.descriptions;

public class FloatParameter {

  public float parameter=-1;
  public String comment=null;

  public FloatParameter() {
    this.parameter=-1;
    this.comment=null;
  }

  public FloatParameter(float parameter, String comment) {
    this.parameter=parameter;
    this.comment=comment;
  }

  public FloatParameter(String init) {
    int index;
    if((index = init.indexOf("#")) > 0) {
      parameter = Float.parseFloat(init.substring(0, index).trim());
      comment = init.substring(index+1, init.length()).trim();
    } else {
      parameter = Float.parseFloat(init.trim());
//     comment = null;
    }
  }

  public String toString() {
    if(comment!=null)
      return new String(" "+parameter+" #"+comment);
    return new String(" "+parameter);
  }

}