package somlib.som.descriptions;

public class IntegerParameter {

  public int parameter=-1;
  public String comment=null;

  public IntegerParameter() {
    this.parameter=-1;
    this.comment=null;
  }

  public IntegerParameter(int parameter, String comment) {
    this.parameter=parameter;
    this.comment=comment;
  }

  public IntegerParameter(String init) {
    int index;
    if((index = init.indexOf("#")) > 0) {
      parameter = Integer.parseInt(init.substring(0, index).trim());
      comment = init.substring(index+1, init.length()).trim();
    } else {
      parameter = Integer.parseInt(init);
//     comment = null; 
    }
  }

  public String toString() {
    if(comment!=null)
      return new String(" "+parameter+" #"+comment);
    return new String(" "+parameter);
  }

}
