package somlib.som.descriptions;

public class ListStringParameter {

  public String[] parameter=null;
  public String comment=null;

  public ListStringParameter() {
    this.parameter=null;
    this.comment=null;
  }

  public ListStringParameter(String parameter[], String comment) {
    this.parameter=parameter;
    this.comment=comment;
  }

  public ListStringParameter(String init) {
    int index;
    if((index = init.indexOf("#")) > 0) {
      if(!init.substring(0, index).trim().toUpperCase().equals("VOID"))
        parameter = toField(init.substring(0, index).trim());
      comment = new String(init.substring(index+1).trim());
    } else {
      if(!init.trim().toUpperCase().equals("VOID"))
        parameter = toField(init);
//     comment = null; 
    }
  }

  private String[] toField(String str) {
    java.util.StringTokenizer strtok=new java.util.StringTokenizer(str);
    String[] zurueck = new String[strtok.countTokens()];
    for(int i=0; i<zurueck.length; i++) {
      zurueck[i]=strtok.nextToken();
    }
    return zurueck;
  }

  public String toString() {
    java.lang.StringBuffer strbuf = new java.lang.StringBuffer();
    if(parameter!=null) {
      for(int i=0; i<parameter.length; i++)
        strbuf.append(" "+parameter[i]);
    } else
      strbuf.append(" VOID");
    if(comment!=null)
      strbuf.append(" #"+comment);
    return strbuf.toString();
  }

  public void writeTo(java.io.BufferedWriter out) throws java.io.IOException {
    if(parameter != null) {
      for(int i=0; i<parameter.length; i++)
        out.write(" "+parameter[i]);
    } else
      out.write(" VOID");
    if(comment!=null)
      out.write(" #"+comment);
  }

}
