package somlib.som.descriptions;

public class LongParameter {

  public long parameter=-1;
  public String comment=null;

  public LongParameter() {
    this.parameter=-1;
    this.comment=null;
  }

  public LongParameter(long parameter, String comment) {
    this.parameter=parameter;
    this.comment=comment;
  }

  public LongParameter(String init) {
    int index;
    if((index = init.indexOf("#")) > 0) {
      parameter = Long.parseLong(init.substring(0, index).trim());
      comment = init.substring(index+1, init.length()).trim();
    } else {
      parameter = Long.parseLong(init.trim());
//     comment = null; 
    }
  }

  public String toString() {
    if(comment!=null)
      return new String(" "+parameter+" #"+comment);
    return new String(" "+parameter);
  }

}