package somlib.som.descriptions;

import java.io.*;

public class TvItem {

  /** Parameters:  **/
  public int nr=-1;
  public String label=null;
  public int df=-1;
  public int tf=-1;
  public int max=-1;
  public int min=-1;
  public double mean=-1;
  public String comment=null;

  public TvItem() {
  }

  public TvItem(String init) {
    java.util.StringTokenizer strtok = new java.util.StringTokenizer(init);
    nr=Integer.parseInt(strtok.nextToken());
    label=new String(strtok.nextToken());
    df=Integer.parseInt(strtok.nextToken());
    tf=Integer.parseInt(strtok.nextToken());
    max=Integer.parseInt(strtok.nextToken());
    min=Integer.parseInt(strtok.nextToken());
    mean=Double.parseDouble(strtok.nextToken());

    java.lang.StringBuffer strbuf = new java.lang.StringBuffer();
    while(strtok.hasMoreTokens())
      strbuf.append(strtok.nextToken());
    if(strbuf.length() > 0)
      comment=strbuf.toString();
  }

  public void writeDescr(BufferedWriter out) throws IOException, DescriptionException {
      out.write(nr+" "+label+" "+df+" "+tf+" "+max+" "+min+" "+mean+" "+comment); out.newLine();
  }

}