package somlib.textrepresentation;

import java.io.*;

public class TemplateItem extends Object implements Serializable {

  public int df = -1;
  public int tf = -1;
  public int min = -1, max = -1;

  public TemplateItem(int tf) {
    this.df=1;
    this.tf=tf;
    this.min=tf;
    this.max=tf;
  }

  public TemplateItem addtf(int addtf) {
    this.df++;
    this.tf+=addtf;

    if(addtf < min)
      min=addtf;
    if(max < addtf)
      max=addtf;

    return this;
  }

  public double getMean() {
    if(df==-1 || tf==-1)
      return -1;

    return (double)tf / (double)df;
  }

  public String toString() {
    return new String(df + " " + tf);
  }
}
