package somlib.textrepresentation.parser;

import java.io.*;
import java.lang.*;
import somlib.textrepresentation.*;

/**
 * to create individual vector files
 *
 * @author elan
 * @version 1.0 (22.08.1999)
 */
public interface Parser{

/**
 * Does all the work.
 *
 * @param files to be used to create the individual vectors, the prefix of the files will be used again for the the individual vectors
 * @param outDir where the individual vectors are to be stored
 * @param verbose extra information is given when set to true
 * @param override determines if files should be replaced or skipped
 * @param fileSuffix of the output files
*/
  public File[] createFiles (File[] files ,String outDir, byte verbose, Logfile l, boolean override, String fileSuffix) throws TextrepresentationException;

} // interface IndividualVectors
