package somlib.som.descriptions;

public class StringParameter {

  public String parameter=null;
  public String comment=null;

  public StringParameter() {
    this.parameter=null;
    this.comment=null;
  }

  public StringParameter(String parameter, String comment) {
    this.parameter=parameter;
    this.comment=comment;
  }

  public StringParameter(String init) {
    int index;
    if((index = init.indexOf("#")) > 0) {
      parameter = init.substring(0, index).trim();
      if(parameter.toUpperCase().equals("VOID"))
        parameter=null;
      comment = init.substring(index+1).trim();
    } else {
      if(!init.trim().toUpperCase().equals("VOID"))
        parameter = new String(init.trim());
//     comment = null; 
    }
  }

  public String toString() {
    if(parameter==null && comment==null)
      return new String();
    else if(parameter==null && comment!=null)
      return new String(" VOID #"+comment);
    else if(parameter!=null && comment!=null)
      return new String(" "+parameter+" #"+comment);
    return new String(" "+parameter);
  }

}
