package somlib.som.descriptions;

import java.io.*;

public class TrainingItem {
/*
 * this class handles file communication for  SOM Training Files
 */

  /** Parameters:  **/
       //mandatory
  public int it_nr=-1;
  public int pos_x=-1;
  public int pos_y=-1;
  public String vector=null;
  public double distance=-1;

  public TrainingItem(int it_nr, int pos_x, int pos_y, String vector, double distance) {
    this.it_nr = it_nr;
    this.pos_x = pos_x;
    this.pos_y = pos_y;
    this.vector = vector;
    this.distance = distance;
  }

  public void writeDescr(BufferedWriter out) throws IOException, DescriptionException {
      out.write(it_nr+" "+pos_x+" "+pos_y+" "+vector+" "+distance);
      out.newLine();
  }

}