package somlib.ui;
// kann NUR EINZELNE rein schreiben und raus lesen und loeschen.
// WEITERE KLASSEN die das eintragen, austragen, suchen von mehreren auf einmal optimieren
// sind NICHT NOTWENDIG, weil es so schnell geht, dass sich das bisserl (<1sec) nicht auszahlt.
// elias 27.07.99 um ca. 04.00 erfolgreich getestet.

import java.io.*;

/**
*
* @author elan
* @version 0.1
*/
public class ConfigFileManager extends Object {

  private File configFile = null;

  public ConfigFileManager(String filename) throws ConfigException  {
    try {
      configFile = new File(filename);
      File dirOfconfigFile = new File(configFile.toString().substring(0,configFile.toString().lastIndexOf(File.separator)));
      dirOfconfigFile.mkdirs();
      configFile.createNewFile();
    } catch (Exception e) {
      throw new ConfigException("ConfigFileManager: Cannot handle file: " + filename + ": " + e.getMessage());
    }

  } // constructor


  public void set(String name, String wert) throws ConfigException
  {
//    if ((name.indexOf(" ") == -1) && (wert.indexOf(" ") == -1))
//    {
      String str = null;

      remove(name);

      try {
        File tmpFile = File.createTempFile("somlib","tmp");
        BufferedReader in = new BufferedReader(new FileReader(configFile));
        BufferedWriter out = new BufferedWriter(new FileWriter(tmpFile));

          // kopiere alles in die tmp datei
        while ((str = in.readLine()) != null) { out.write(str); out.newLine();}
          // fuege am schluss noch eine zeile hinzu:
        out.write(name + "=" + wert); out.newLine();

        in.close();
        out.flush(); out.close();

        configFile.delete();
        tmpFile.renameTo(configFile);
      } catch (IOException e) {
        throw new ConfigException("ConfigFileManager: Cannot write to file: " + configFile.getPath() + ": " + e.getMessage());
      }
//    } else  throw new ConfigException("ConfigFileManager: Bad Values.");
  } // set one


    // loescht alle vorkommen, nicht nur eines!
  public void remove(String name) throws ConfigException
  {
    String str = null;

    try {
      File tmpFile = File.createTempFile("somlib","tmp");
      BufferedReader in = new BufferedReader(new FileReader(configFile));
      BufferedWriter out = new BufferedWriter(new FileWriter(tmpFile));

      // kopiere die zeilen in die tmp datei die:
      // nicht mit den namen vorm '=' den namen stehen haben.
      while (((str = in.readLine()) != null) &&
            ((str.indexOf('=') == -1) || (str.substring(0,str.indexOf('=')).compareTo(name) != 0))) {
        out.write(str); out.newLine();
      }

      in.close();
      out.flush(); out.close();

      configFile.delete();
      tmpFile.renameTo(configFile);
    } catch (IOException e) {
      throw new ConfigException("ConfigFileManager: Cannot write to file: " + configFile.getPath() + ": " + e.getMessage());
    }
  } // set one


  public String get(String name) throws ConfigException
  {
    String str;
    int i;

    try {
      BufferedReader in = new BufferedReader(new FileReader(configFile));
      while ((str = in.readLine()) != null)
      {
        if ((i = str.indexOf('=')) != -1)
        { // else ignore
          if (name.compareTo(str.substring(0,i)) == 0)
            return str.substring(i+1,str.length());
        }
      }
    } catch (IOException e) {
      throw new ConfigException("ConfigFileManager: Cannot read from file: " + configFile.getPath() + ": " + e.getMessage());
    }

    return new String(""); // wird nur erreicht wenn nichts gefunden wird.
  } // get one

}
